Bug 731929 - USB storage devices fail to mount
Summary: USB storage devices fail to mount
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 06:17 UTC by Renich Bon Ciric
Modified: 2013-05-04 02:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-06 17:45:27 UTC


Attachments (Terms of Use)
Comment (94.80 KB, text/plain)
2011-08-19 06:17 UTC, Renich Bon Ciric
no flags Details

Description Renich Bon Ciric 2011-08-19 06:17:09 UTC
Created attachment 915360 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 1 Renich Bon Ciric 2011-08-19 06:18:45 UTC
Oh, and I forgot to mention:

- If I insert the storage device on the blue USB (USB 3.0), it partially works (for a while)

- USB mouse and keyboard work perfectly (USB 1 or 1.1?)

- While on the BIOS, I can see the USB stick and see it's contents (FAT32 fs on it)

Comment 2 Don Zickus 2011-08-22 13:11:42 UTC
Hi Renich,

Can you help clarify which usb ports you are using.  The USB3 code is still going through some growing pains but I would have assumed the normal usb2 ports would work perfect.

What happens when you stick the USB key in a usb2 slot (black colored)?  What happens when you stick the USB key in the usb3 slot (blue colored)?

Also when you say USB mouse/keyboard work perfectly, again which slots are those plugged in usb2 or usb3 (black or blue)?

Thanks,
Don

Comment 3 Renich Bon Ciric 2011-08-23 04:17:30 UTC
(In reply to comment #2)
> Hi Renich,

Hey, Don! Thanks for the quick response.

> Can you help clarify which usb ports you are using.  The USB3 code is still
> going through some growing pains but I would have assumed the normal usb2 ports
> would work perfect.

Well, oddly, USB 1.x work fine (keyboards and mice).

> What happens when you stick the USB key in a usb2 slot (black colored)?  

This output/example is what happens when I stick a USB key into a USB2 slot (the black ones).

> What happens when you stick the USB key in the usb3 slot (blue colored)?

Now this is different. I get to see the device and all. I even see the files but; specially if I try to copy things from/to it, it gets some I/O error message and, then, unmounts saying it won't sync. I'll paste the ouptput in a moment.

> Also when you say USB mouse/keyboard work perfectly, again which slots are
> those plugged in usb2 or usb3 (black or blue)?

USB 2; my friend. I haven't, actually, tried these in the USB3 slots.
 
> Thanks,
> Don

Hey, you're welcome. Tell me if you need anything (access, more tests or output).

Comment 4 Renich Bon Ciric 2011-08-23 04:26:13 UTC
# USB3 error output
# I start by plugin in a device and wait until it gets the error.
[renich@introdesk ~]$ su -
Password: 
[root@introdesk ~]# uname -a
Linux introdesk.casa 2.6.40-4.fc15.x86_64 #1 SMP Fri Jul 29 18:46:53 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
[root@introdesk ~]# tail -f /var/log/messages
Aug 23 04:21:21 introdesk rtkit-daemon[2066]: Successfully made thread 2475 of process 2475 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Aug 22 23:21:21 introdesk pulseaudio[2475]: pid.c: Stale PID file, overwriting.
Aug 23 04:21:21 introdesk rtkit-daemon[2066]: Successfully made thread 2476 of process 2475 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
Aug 23 04:21:21 introdesk rtkit-daemon[2066]: Successfully made thread 2477 of process 2475 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
Aug 22 23:21:23 introdesk dbus: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Aug 22 23:21:23 introdesk dbus: [system] Successfully activated service 'org.freedesktop.PackageKit'
Aug 22 23:21:28 introdesk nautilus: [N-A] Nautilus-Actions Menu Extender 3.1.3 initializing...
Aug 22 23:21:29 introdesk nautilus: [N-A] Nautilus-Actions Tracker 3.1.3 initializing...
Aug 22 23:21:59 introdesk dbus: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Aug 22 23:21:59 introdesk dbus: [system] Successfully activated service 'net.reactivated.Fprint'


mark (I insert the USB device into the USB3 slot)

Aug 22 23:22:21 introdesk kernel: [  230.323144] usb 3-1: new high speed USB device number 2 using xhci_hcd
Aug 22 23:22:21 introdesk kernel: [  230.337640] xhci_hcd 0000:04:00.0: WARN: short transfer on control ep
Aug 22 23:22:21 introdesk kernel: [  230.338187] xhci_hcd 0000:04:00.0: WARN: short transfer on control ep
Aug 22 23:22:21 introdesk kernel: [  230.338705] xhci_hcd 0000:04:00.0: WARN: short transfer on control ep
Aug 22 23:22:21 introdesk kernel: [  230.339220] xhci_hcd 0000:04:00.0: WARN: short transfer on control ep
Aug 22 23:22:21 introdesk kernel: [  230.339244] usb 3-1: New USB device found, idVendor=125f, idProduct=c82a
Aug 22 23:22:21 introdesk kernel: [  230.339252] usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Aug 22 23:22:21 introdesk kernel: [  230.339260] usb 3-1: Product: A-DATA USB Flash Drive
Aug 22 23:22:21 introdesk kernel: [  230.339266] usb 3-1: Manufacturer: A-DATA
Aug 22 23:22:21 introdesk kernel: [  230.339272] usb 3-1: SerialNumber: 6b57f4e1dd8073
Aug 22 23:22:21 introdesk mtp-probe: checking bus 3, device 2: "/sys/devices/pci0000:00/0000:00:06.0/0000:04:00.0/usb3/3-1"
Aug 22 23:22:22 introdesk kernel: [  230.505624] xhci_hcd 0000:04:00.0: WARN: short transfer on control ep
Aug 22 23:22:22 introdesk kernel: [  230.506110] xhci_hcd 0000:04:00.0: WARN: short transfer on control ep
Aug 22 23:22:22 introdesk mtp-probe: bus: 3, device: 2 was not an MTP device
Aug 22 23:22:22 introdesk kernel: [  230.554592] usbcore: registered new interface driver uas
Aug 22 23:22:22 introdesk kernel: [  230.557261] Initializing USB Mass Storage driver...
Aug 22 23:22:22 introdesk kernel: [  230.558887] scsi8 : usb-storage 3-1:1.0
Aug 22 23:22:22 introdesk kernel: [  230.559191] usbcore: registered new interface driver usb-storage
Aug 22 23:22:22 introdesk kernel: [  230.559197] USB Mass Storage support registered.
Aug 22 23:22:23 introdesk kernel: [  231.560322] scsi 8:0:0:0: Direct-Access     A-DATA   USB Flash Drive  0.00 PQ: 0 ANSI: 2
Aug 22 23:22:23 introdesk kernel: [  231.564460] sd 8:0:0:0: Attached scsi generic sg3 type 0
Aug 22 23:22:23 introdesk kernel: [  231.565642] sd 8:0:0:0: [sdd] 7897088 512-byte logical blocks: (4.04 GB/3.76 GiB)
Aug 22 23:22:23 introdesk kernel: [  231.566123] sd 8:0:0:0: [sdd] Write Protect is off
Aug 22 23:22:23 introdesk kernel: [  231.566615] sd 8:0:0:0: [sdd] Asking for cache data failed
Aug 22 23:22:23 introdesk kernel: [  231.566624] sd 8:0:0:0: [sdd] Assuming drive cache: write through
Aug 22 23:22:23 introdesk kernel: [  231.571528] sd 8:0:0:0: [sdd] Asking for cache data failed
Aug 22 23:22:23 introdesk kernel: [  231.571538] sd 8:0:0:0: [sdd] Assuming drive cache: write through
Aug 22 23:22:23 introdesk kernel: [  231.723728]  sdd: sdd1
Aug 22 23:22:23 introdesk kernel: [  232.051669] sd 8:0:0:0: [sdd] Asking for cache data failed
Aug 22 23:22:23 introdesk kernel: [  232.051680] sd 8:0:0:0: [sdd] Assuming drive cache: write through
Aug 22 23:22:23 introdesk kernel: [  232.051688] sd 8:0:0:0: [sdd] Attached SCSI removable disk
Aug 22 23:23:31 introdesk kernel: [  299.760093] xhci_hcd 0000:04:00.0: xHCI host not responding to stop endpoint command.
Aug 22 23:23:31 introdesk kernel: [  299.760103] xhci_hcd 0000:04:00.0: Assuming host is dying, halting host.
Aug 22 23:23:31 introdesk kernel: [  299.760134] xhci_hcd 0000:04:00.0: HC died; cleaning up
Aug 22 23:23:31 introdesk kernel: [  299.760450] usb 3-1: USB disconnect, device number 2
Aug 22 23:23:31 introdesk kernel: [  299.760520] sd 8:0:0:0: Device offlined - not ready after error recovery
Aug 22 23:23:31 introdesk kernel: [  299.760528] sd 8:0:0:0: [sdd] Unhandled error code
Aug 22 23:23:31 introdesk kernel: [  299.760530] sd 8:0:0:0: [sdd]  Result: hostbyte=DID_ABORT driverbyte=DRIVER_OK
Aug 22 23:23:31 introdesk kernel: [  299.760533] sd 8:0:0:0: [sdd] CDB: Write(10): 2a 00 00 00 00 3f 00 00 01 00
Aug 22 23:23:31 introdesk kernel: [  299.760538] end_request: I/O error, dev sdd, sector 63
Aug 22 23:23:31 introdesk kernel: [  299.760542] Buffer I/O error on device sdd1, logical block 1
Aug 22 23:23:31 introdesk kernel: [  299.760543] lost page write due to I/O error on sdd1
Aug 22 23:23:31 introdesk kernel: [  299.760557] sd 8:0:0:0: rejecting I/O to offline device
Aug 22 23:23:31 introdesk kernel: [  300.172174] FAT-fs (sdd1): bread failed in fat_clusters_flush
Aug 22 23:23:31 introdesk kernel: [  300.188667] FAT-fs (sdd1): unable to read inode block for updating (i_pos 246786)
Aug 22 23:23:31 introdesk kernel: [  300.196061] FAT-fs (sdd1): bread failed in fat_clusters_flush
Aug 22 23:23:31 introdesk kernel: [  300.196262] FAT-fs (sdd1): FAT read failed (blocknr 3096)
Aug 22 23:23:31 introdesk kernel: [  300.196347] FAT-fs (sdd1): FAT read failed (blocknr 32)
Aug 22 23:23:31 introdesk kernel: [  300.196380] FAT-fs (sdd1): unable to read inode block for updating (i_pos 246786)
Aug 22 23:23:31 introdesk kernel: [  300.371786] FAT-fs (sdd1): bread failed in fat_clusters_flush

mark (I take out the USB device)

After this, I keep plugging/unplugging the USB key and nothing happens; no reaction.

I hope this helps

Comment 5 Ralf-Peter Rohbeck 2011-12-02 07:10:24 UTC
Also an issue on Ubuntu and Debian:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/859137

Comment 6 Renich Bon Ciric 2011-12-02 18:10:31 UTC
Btw, I got it working.

In my particular motherboard, I needed to turn off the "IOMMU MODE" (as it's mentioned on that bug) and everything went back to normal.

Also, I am using the 813 version of the BIOS. I'm ready to try 903.

Comment 7 Ralf-Peter Rohbeck 2012-02-01 01:48:09 UTC
I used to have this problem under Debian but it's gone since I upgraded to the 1102 Crosshair V BIOS. Using the latest Debian 3.1 or 3.2 kernels everything seems to work fine.


Note You need to log in before you can comment on or make changes to this bug.